# Ferramenta de programación

Ian
Reinhart
Geiser

     geiseri@kde.org

2006-06-01
O sistema de escritorio K
makekdewidgets
1

# makekdewidgets

Contrúe extensións de widget de &Qt; a partir dun ficheiro de descrición ao estilo ini.

    makekdewidgets Opcións de &Qt; Opcións de &kde; ficheiro

## Descrición

`makekdewidgets` constrúe extensións de widget de &Qt; a partir dun ficheiro de descrición con estilo ini.

## Opcións

### Argumentos:

ficheiro

  Ficheiro de entrada

### Opcións:

`-o <ficheiro>`

  Ficheiro de saída

`-n <nome da extensión>`

  O nome da clase da extensión a xerar [WidgetsPlugin]

`-g <grupo>`

  O nome do grupo predeterminado do widget a mostrar no designer [Custom]

`-p <dir mapa de píxeles>`

  Inclúe mapas de píxeles dun directorio fonte

### Opcións xenéricas:

`--help`

  Mostrar axuda acerca das opcións

`--help-qt`

  Mostra as opcións específicas de &Qt;

`--help-kde`

  Mostra as opcións específicas de &kde;

`--help-all`

  Mostra todas as opcións

`--author`

  Mostra información do autor

`-v, --version`

  Mostra información da versión

`--license`

  Mostra información da licenza

### Opcións de &kde;:

`--caption <título>`

  Usa "título" como o nome na barra do título

`--icon <ícone>`

  Usa "ícone" como o ícone do programa

`--miniicon <ícone>`

  Usa "ícone" como o ícone do programa

`--config <nomeFicheiro>`

  Usa un ficheiro de configuración alternativo

`--dcopserver <servidor>`

  Usa o servidor &DCOP; especificado por "servidor"

`--nocrashhandler`

  Deshabilita o xestor de peches inesperados para opter emborcados de memoria

`--waitforwm`

  Agarda por un xestor de fiestras compatíbel con WM_NET

`--style <estilo>`

  Estabelece o estilo da &GUI; do programa

`--geometry <xeometría>`

  Estabelece da xeometría do widget principal - consulte man X para saber máis acerca do formato do argumento

### Opcións de &Qt;:

`--display <nomePantalla>`

  Usa o display "nomePantalla" do servidor X

`--session <idSesion>`

  Restaura o programa co "idSesión" indicado

`--cmap`

  Fai que o programa instale un mapa de cores privado nunha pantalla de 8-bit

`--ncols <cantidade>`

  Limita o número de cores reservadas no cubo de cores nunha pantalla de 8-bit, se o programa está a usar a especificación de cor QApplication::ManyColor

`--nograb`

  Indicalle a &Qt; que nunca capture nen o rato nen o teclado

`--sync`

  Troca para o modo síncrono para depuración

`--fn, --font <tipoLetra>`

  Define o tipo de letra do programa

`--bg, --background <cor>`

  Estabelece a cor de fondo predeterminada e a paleta do programa (as sombras claras e escuras son calculadas)

`--fg, --foreground <cor>`

  Estabelece a cor de primeiro plano predeterminada

`--btn, --button <cor>`

  Estabelece a cor predeterminada dos botóns

`--name <nome>`

  Estabelece o nome do programa

`--title <título>`

  Estabelece o título do programa

`--visual TrueColor`

  Obriga ao programa a empregar TrueColor nunha pantalla de 8-bit

`--inputstyle <estiloEntrada>`

  Axusta o estilo de entrada de XIM (X Input Method). Os valores posíbeis son "onthespot", "overthespot", "offthespot", e "root"

`--im <servidor XIM>`

  Indica o servidor XIM

`--noxim`

  Deshabilita o XIM

`--reverse`

  Reflicte a disposición dos widgets por enteiro

## Consulte tamén

`http://developer.kde.org`

  O sitio web dos desenvolventes de &kde;

## Erros

Por favor, empregue http://bugs.kde.org para informar de erros, non envíe directamente correos aos autores.